#!/bin/bash

ZENITY=$(which zenity)
TITLE="Restaurar permisos."
ANSIBLEPLAY=/usr/share/linkat/linkat-servidor/configurador

id | egrep root > /dev/null 2>&1
if [ $? -eq 0 ]; then

	$ZENITY --width=400 --height=100 --question --title="$TITLE" --text="Aquest programa permet restaurar automàticament els permisos de les unitats compartides  del servidor de centre.\n\nVoleu restaurar els permisos de les unitats compartides?"  

	if [ $? -eq 0 ]; then
		
		/usr/bin/linkat-permisos

		if [ $? -eq 0 ]; then
			$ZENITY --width=300 --height=100 --info --title="$TITLE" --text="Els permisos de les unitats compartides s’han restaurat correctament."
		else
			$ZENITY --width=300 --height=100 --error --title="$TITLE" --text="S'ha produit algun error durant la restauració."
		fi
	else
		$ZENITY --width=200 --info --title="$TITLE" --text="Procés cancel·lat per l'usuari."
	fi

fi
