#!/bin/bash

ANSIBLEPLAY=/usr/share/linkat/linkat-servidor/configurador

## Aplicant Playbook permisos i ACLs unitats
#ansible-playbook "$ANSIBLEPLAY"/unitats.yml
ansible-playbook "$ANSIBLEPLAY"/permisos.yml
ansible-playbook "$ANSIBLEPLAY"/acl.yml

if [ ! -d /usr/share/linkat/linkat-nova-unitat/unitats/ ]; then
	echo -en "No hi ha més unitats.\n"
else
	for unitats in $(ls /usr/share/linkat/linkat-nova-unitat/unitats/) 
	do
		. /usr/share/linkat/linkat-nova-unitat/unitats/$unitats
        	if [ ! -d /srv/exports/$UNITAT ]; then
                	mkdir /srv/exports/$UNITAT
        	fi
                if [ ! -d /srv/exports/Paperera/Paperera_Unitat_$UNITAT ]; then
                        mkdir -p /srv/exports/Paperera/Paperera_Unitat_$UNITAT
                fi

                setfacl -R --set-file=/usr/share/linkat/linkat-nova-unitat/plantilla-acl /srv/exports/$UNITAT > /dev/null 2>&1
                getfacl -p /srv/exports/$UNITAT | setfacl -R --set-file=- /srv/exports/Paperera/Paperera_Unitat_$UNITAT > /dev/null 2>&1

		chown -R root:$GRUP /srv/exports/$UNITAT
        	chmod -R 2770 /srv/exports/$UNITAT
        	chmod -R 2770 /srv/exports/Paperera/Paperera_Unitat_$UNITAT
        	chown -R root:$GRUP /srv/exports/Paperera/Paperera_Unitat_$UNITAT
	done
fi
